

package com.jfinal.club.common;

import com.jfinal.club._admin.admin_interface.ContentPathInterface;
import com.jfinal.club._front.*;
import com.jfinal.config.Routes;

/**
 * 前台路由
 */
public class FrontRoutes extends Routes {

	@Override
	public void config() {
		// 添加后台管理拦截器，将拦截在此方法中注册的所有 Controller
		addInterceptor(new FrontUsersInterface());
		addInterceptor(new OpenidSessionInterface());
		addInterceptor(new ContentPathInterface());
		setBaseViewPath("/_view");


		add("/", IndexController.class, "/_front");
		add("/pro", ProductController.class, "/_front");
		add("/pf", PeifangController.class, "/_front");
	}
}
